path: /build/build/jansson-dev-libs-2.14.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge dev-libs/jansson -pv -t
  - |
    USE="-doc" emerge -j ${JOBS} --nodeps dev-libs/jansson
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/jansson && luet-portage --dir
    /pkgdir/jansson dev-libs/jansson
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:25636667b75a18ccb9e7fbc33b9d97d5c8af4a044befac2eb11022dc32e4b643
  package:
    name: jansson
    version: 2.14.1
    category: dev-libs
    use_flags:
    - -doc
    requires:
    - name: XML-SAX
      version: '>=0'
      category: dev-perl
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: C library for encoding, decoding and manipulating JSON data
    uri:
    - http://www.digip.org/jansson/
    license: MIT
    buildtimestamp: 2025-12-12 23:54:23.864349514 +0000 UTC m=+388.939171856
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      IUSE: static-libs
      emerge.packages: dev-libs/jansson
      kit: dev-kit
      original.package.name: dev-libs/jansson
      original.package.slot: "0"
      original.package.version: 2.14.1
    treedir: /build/packages
  package_dir: /pkgdir/jansson
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3a5bd08fc84644c3ad04fcb1d145c1295d65de75732a1bc196a9040f2e144ade
compressiontype: zstd
files:
- usr/include/jansson.h
- usr/include/jansson_config.h
- usr/lib64/libjansson.so
- usr/lib64/libjansson.so.4
- usr/lib64/libjansson.so.4.14.1
- usr/lib64/pkgconfig/jansson.pc
- usr/share/doc/jansson-2.14.1/CHANGES.bz2
- usr/share/doc/jansson-2.14.1/README.rst.bz2
- var/db/pkg/dev-libs/jansson-2.14.1/BDEPEND
- var/db/pkg/dev-libs/jansson-2.14.1/BUILD_TIME
- var/db/pkg/dev-libs/jansson-2.14.1/CATEGORY
- var/db/pkg/dev-libs/jansson-2.14.1/CBUILD
- var/db/pkg/dev-libs/jansson-2.14.1/CFLAGS
- var/db/pkg/dev-libs/jansson-2.14.1/CHOST
- var/db/pkg/dev-libs/jansson-2.14.1/CONTENTS
- var/db/pkg/dev-libs/jansson-2.14.1/COUNTER
- var/db/pkg/dev-libs/jansson-2.14.1/CTARGET
- var/db/pkg/dev-libs/jansson-2.14.1/CXX
- var/db/pkg/dev-libs/jansson-2.14.1/CXXFLAGS
- var/db/pkg/dev-libs/jansson-2.14.1/DEFINED_PHASES
- var/db/pkg/dev-libs/jansson-2.14.1/DESCRIPTION
- var/db/pkg/dev-libs/jansson-2.14.1/EAPI
- var/db/pkg/dev-libs/jansson-2.14.1/FEATURES
- var/db/pkg/dev-libs/jansson-2.14.1/HOMEPAGE
- var/db/pkg/dev-libs/jansson-2.14.1/INHERITED
- var/db/pkg/dev-libs/jansson-2.14.1/IUSE
- var/db/pkg/dev-libs/jansson-2.14.1/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/jansson-2.14.1/KEYWORDS
- var/db/pkg/dev-libs/jansson-2.14.1/LDFLAGS
- var/db/pkg/dev-libs/jansson-2.14.1/LICENSE
- var/db/pkg/dev-libs/jansson-2.14.1/NEEDED
- var/db/pkg/dev-libs/jansson-2.14.1/NEEDED.ELF.2
- var/db/pkg/dev-libs/jansson-2.14.1/PF
- var/db/pkg/dev-libs/jansson-2.14.1/PROVIDES
- var/db/pkg/dev-libs/jansson-2.14.1/REQUIRES
- var/db/pkg/dev-libs/jansson-2.14.1/SIZE
- var/db/pkg/dev-libs/jansson-2.14.1/SLOT
- var/db/pkg/dev-libs/jansson-2.14.1/USE
- var/db/pkg/dev-libs/jansson-2.14.1/environment.bz2
- var/db/pkg/dev-libs/jansson-2.14.1/jansson-2.14.1.ebuild
- var/db/pkg/dev-libs/jansson-2.14.1/repository
package_cacheimage: ""
runtime:
  name: jansson
  version: 2.14.1
  category: dev-libs
  use_flags:
  - -doc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: C library for encoding, decoding and manipulating JSON data
  uri:
  - http://www.digip.org/jansson/
  license: MIT
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    IUSE: static-libs
    emerge.packages: dev-libs/jansson
    kit: dev-kit
    original.package.name: dev-libs/jansson
    original.package.slot: "0"
    original.package.version: 2.14.1
